org.kie.api.runtime.rule

## Interface RuleRuntime

- All Superinterfaces:
    EntryPoint
  All Known Subinterfaces:
    KieRuntime, KieSession

      public interface RuleRuntime
      extends EntryPoint

  The `RuleRuntime` is a super-interface for all `KieSession`s. Although, users are encouraged to use `KieSession` or `KieRuntime` interface instead of `RuleRuntime` interface, specially because of the `dispose()` method that is only available in the `KieSession` interface.
  See Also:
    `KieSession`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Agenda` | `getAgenda()`
    `EntryPoint` | `getEntryPoint(String name)`
    `Collection<? extends EntryPoint>` | `getEntryPoints()` Returns a collection of all available working memory entry points for this session.
    `QueryResults` | `getQueryResults(String query, Object... arguments)` Retrieve the QueryResults of the specified query and arguments
    `void` | `halt()` Request the engine to stop firing rules.
    `LiveQuery` | `openLiveQuery(String query, Object[] arguments, ViewChangedEventListener listener)`

    - ### Methods inherited from interface org.kie.api.runtime.rule.EntryPoint

      `delete, delete, getEntryPointId, getFactCount, getFactHandle, getFactHandles, getFactHandles, getObject, getObjects, getObjects, insert, retract, update, update`

- - ### Method Detail

    - #### halt

          void halt()

      Request the engine to stop firing rules. If the engine is currently firing a rule, it will finish executing this rule's consequence before stopping.

      This method will not remove active Matches from the Agenda. In case the application later wants to continue firing rules from the point where it stopped, it should just call `org.kie.api.runtime.KieSession#fireAllRules()` or `org.kie.api.runtime.KieSession#fireUntilHalt()` again.

    - #### getAgenda

          Agenda getAgenda()

      Returns:
        a reference to this session's `Agenda`.

    - #### getEntryPoint

          EntryPoint getEntryPoint(String name)

      Returns:
        the WorkingMemoryEntryPoint instance associated with the given name.

    - #### getEntryPoints

          Collection<? extends EntryPoint> getEntryPoints()

      Returns a collection of all available working memory entry points for this session.
      Returns:
        the collection of all available entry points for this session

    - #### getQueryResults

          QueryResults getQueryResults(String query,
                                       Object... arguments)

      Retrieve the QueryResults of the specified query and arguments
      Parameters:
        `query` - The name of the query.
        `arguments` - The arguments used for the query
      Returns:
        The QueryResults of the specified query. If no results match the query it is empty.
      Throws:
        `RuntimeException` - If the query does not exist

    - #### openLiveQuery

          LiveQuery openLiveQuery(String query,
                                  Object[] arguments,
                                  ViewChangedEventListener listener)

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.